共用方式為


Products - Validate Move Eligibility

驗證產品的費用是否可以移至新的發票區段。 這項作業僅支援以週期性費用購買的產品,以及合約類型為Microsoft客戶合約的計費帳戶。

POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/{billingAccountName}/products/{productName}/validateMoveEligibility?api-version=2024-04-01

URI 參數

名稱 位於 必要 類型 Description
billingAccountName
path True

string

pattern: ^([0-9]+|([Pp][Cc][Nn]\.[A-Za-z0-9]+)|[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}(:[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}_[0-9]{4}(-[0-9]{2}){2})?)$

可唯一識別計費帳戶的標識碼。

productName
path True

string

pattern: ^[0-9A-Fa-f]{8}-([0-9A-Fa-f]{4}-){3}[0-9A-Fa-f]{12}$

可唯一識別產品的標識碼。

api-version
query True

string

要與用戶端要求搭配使用的 API 版本。 目前的版本是 2024-04-01。

要求本文

名稱 必要 類型 Description
destinationInvoiceSectionId True

string

minLength: 1

目的地發票區段標識碼。

回應

名稱 類型 Description
200 OK

MoveProductEligibilityResult

傳輸資格驗證的結果。

Other Status Codes

ErrorResponse

描述作業失敗原因的錯誤回應。

範例

ProductValidateMoveFailure
ProductValidateMoveSuccess

ProductValidateMoveFailure

範例要求

POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/a1a9c77e-4cec-4a6c-a089-867d973a6074:a80d3b1f-c626-4e5e-82ed-1173bd91c838_2019-05-31/products/6b96d3f2-9008-4a9d-912f-f87744185aa3/validateMoveEligibility?api-version=2024-04-01

{
  "destinationInvoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/a1a9c77e-4cec-4a6c-a089-867d973a6074:a80d3b1f-c626-4e5e-82ed-1173bd91c838_2019-05-31/billingProfiles/ea36e548-1505-41db-bebc-46fff3d37998/invoiceSections/Q7GV-UUVA-PJA-TGB"
}

範例回覆

{
  "errorDetails": {
    "code": "ProductInactive",
    "message": "Invoice Sections can only be changed for active products."
  }
}

ProductValidateMoveSuccess

範例要求

POST https://management.azure.com/providers/Microsoft.Billing/billingAccounts/a1a9c77e-4cec-4a6c-a089-867d973a6074:a80d3b1f-c626-4e5e-82ed-1173bd91c838_2019-05-31/products/6b96d3f2-9008-4a9d-912f-f87744185aa3/validateMoveEligibility?api-version=2024-04-01

{
  "destinationInvoiceSectionId": "/providers/Microsoft.Billing/billingAccounts/a1a9c77e-4cec-4a6c-a089-867d973a6074:a80d3b1f-c626-4e5e-82ed-1173bd91c838_2019-05-31/billingProfiles/ea36e548-1505-41db-bebc-46fff3d37998/invoiceSections/Q7GV-UUVA-PJA-TGB"
}

範例回覆

{
  "isMoveEligible": true
}

定義

名稱 Description
ErrorAdditionalInfo

資源管理錯誤其他資訊。

ErrorDetail

錯誤詳細數據。

ErrorDetails

傳輸資格驗證的錯誤詳細數據。

ErrorResponse

錯誤回應

MoveProductEligibilityResult

傳輸資格驗證的結果。

MoveProductRequest

要起始傳輸之產品的屬性。

MoveValidationErrorCode

產品傳輸驗證的錯誤碼。

ErrorAdditionalInfo

資源管理錯誤其他資訊。

名稱 類型 Description
info

object

其他資訊。

type

string

其他信息類型。

ErrorDetail

錯誤詳細數據。

名稱 類型 Description
additionalInfo

ErrorAdditionalInfo[]

錯誤其他資訊。

code

string

錯誤碼。

details

ErrorDetail[]

錯誤詳細數據。

message

string

錯誤訊息。

target

string

錯誤目標。

ErrorDetails

傳輸資格驗證的錯誤詳細數據。

名稱 類型 Description
code

MoveValidationErrorCode

產品傳輸驗證的錯誤碼。

details

string

傳輸資格驗證的錯誤詳細數據。

message

string

錯誤訊息。

ErrorResponse

錯誤回應

名稱 類型 Description
error

ErrorDetail

error 物件。

MoveProductEligibilityResult

傳輸資格驗證的結果。

名稱 類型 Description
errorDetails

ErrorDetails

傳輸資格驗證的錯誤詳細數據。

isMoveEligible

boolean

指定訂用帳戶是否有資格轉移。

MoveProductRequest

要起始傳輸之產品的屬性。

名稱 類型 Description
destinationInvoiceSectionId

string

minLength: 1

目的地發票區段標識碼。

MoveValidationErrorCode

產品傳輸驗證的錯誤碼。

Description
Other
BillingAccountInactive
DestinationBillingProfileInactive
DestinationBillingProfileNotFound
DestinationBillingProfilePastDue
DestinationInvoiceSectionInactive
DestinationInvoiceSectionNotFound
InsufficientPermissionOnDestination
InsufficientPermissionOnSource
InvalidDestination
InvalidSource
MarketplaceNotEnabledOnDestination
ProductInactive
ProductNotFound
ProductTypeNotSupported
SourceBillingProfilePastDue
SourceInvoiceSectionInactive